package com.extensis.web.common.JMS;

public class Topics {
	/*
	 * This is a JMS topic used for drawer change notifications.
	 * 
	 * The messages placed into this topic are non-durable (i.e. a subscriber must be currently subscribed to receive messages).
	 * 
	 * Messages placed into this topic will ALWAYS have a MapMessage body.
	 * The body will ALWAYS contain:
	 * 		action=<string>
	 * 			"add" = type drawer was added
	 * 			"delete" = type drawer was deleted
	 * 			"modified" = type drawer was modified
	 * 		drawer-guid=<the guid of the type drawer>
	 *  The body may optionally contain:
	 *  	nothing
	 */
	public static String DRAWER_TOPIC = "drawerTopic";
	public static String DRAWER_TOPIC_ACTION_KEY =          "action";
	public static String DRAWER_TOPIC_ACTION_VALUE_ADD =    "add";
	public static String DRAWER_TOPIC_ACTION_VALUE_DELETE = "delete";
	public static String DRAWER_TOPIC_ACTION_VALUE_MODIFY = "modify";
	public static String DRAWER_TOPIC_DRAWERGUID_KEY =      "drawer-guid";

	/*
	 * This is a JMS topic used for font change notifications.
	 * 
	 * The messages placed into this topic are non-durable (i.e. a subscriber must be currently subscribed to receive messages).
	 * 
	 * Messages placed into this topic will ALWAYS have a MapMessage body.
	 * The body will ALWAYS contain:
	 * 		action=<string>
	 * 			"add" = font was added
	 * 			"delete" = font was deleted
	 * 			"modified" = font was modified
	 * 		font-guid=<the guid of the font>
	 *  The body may optionally contain:
	 *  	nothing
	 */
	public static String FONT_TOPIC = "fontTopic";
	public static String FONT_TOPIC_ACTION_KEY =          "action";
	public static String FONT_TOPIC_ACTION_VALUE_ADD =    "add";
	public static String FONT_TOPIC_ACTION_VALUE_DELETE = "delete";
	public static String FONT_TOPIC_ACTION_VALUE_MODIFY = "modify";
	public static String FONT_TOPIC_FONTGUID_KEY =        "font-guid";

	/*
	 * These are the available connection factory.
	 */
	public static String EJB_CONNECTION_FACTORY_NAME = "java:/JmsXA";
	public static String SERVLET_CONNECTION_FACTORY_NAME = "/ConnectionFactory";
	
	/*
	 * Private constants
	 */
	static String TOPIC_JNDI_PREFIX = "/topic/";
}
